CREATE TABLE DSAlias_version 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     classNameContext          VarChar(254)   ,
     constraint v302PKDSAlias_vrsn Primary Key( OID, OVer ) )
     IN TOOLS ;

CREATE TABLE DSDeviceObjct_vrsn   -- DSDeviceObject_version
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     pContent                  DBOID   ,
     constraint v302KSvOjtvs Primary Key( OID, OVer ) )
     IN TOOLS ;

CREATE TABLE DSContent 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     pDeviceObject             DBOID   ,
     constraint v302PKDSContent Primary Key( OID, OVer ) )
     IN TOOLS ;

CREATE VIEW Pl_DSContent AS --Plasma for DSContent
  SELECT
    a.*,
    m.sourceOID,
    m.sourceOVer
  FROM
    DSContent a, ManyPtrTable m
  WHERE
    m.targetOID=a.OID AND m.targetOVer=a.OVer AND
      m.classAttrib='ADViewRoot.plasma';

CREATE TABLE DSWorkFolder_versn   -- DSWorkFolder_version
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     versionHistory            VarChar(254)   ,
     searchHistory             VarChar(254)   ,
     constraint v30PDWklrvs Primary Key( OID, OVer ) )
     IN TOOLS ;

